Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.metadata
Interface CpeCollectionReader

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface CpeCollectionReader

extends MetaDataObject

An object that holds configuration that is part of the CPE descriptor. Provides the means of configuring CPE CollectionReader.

Method Summary
`CpeCollectionReaderCasInitializer` | `getCasInitializer()` Deprecated. As of v2.0 CAS Initializers are deprecated.
`CpeCollectionReaderIterator` | `getCollectionIterator()`
`CasProcessorConfigurationParameterSettings` | `getConfigurationParameterSettings()` Returns `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CollectionReader.
`CpeComponentDescriptor` | `getDescriptor()` Returns `CpeComponentDescriptor` containing CollectionReader descriptor path.
`void` | `removeCasInitializer()` Removes `CpeCollectionReaderCasInitializer` from CollectionReader
`void` | `setCasInitializer(CpeCollectionReaderCasInitializer aCasInitializer)` Deprecated. As of v2.0 CAS Initializers are deprecated.
`void` | `setCollectionIterator(CpeCollectionReaderIterator iterator)`
`void` | `setConfigurationParameterSettings(CasProcessorConfigurationParameterSettings aSettings)` Sets the `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CollectionReader.
`void` | `setDescriptor(CpeComponentDescriptor aDescriptor)` Sets descriptor path containing configuration for the CollectionReader

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### setCasInitializer

    void setCasInitializer(CpeCollectionReaderCasInitializer aCasInitializer)
                           throws CpeDescriptorException

  Deprecated. As of v2.0 CAS Initializers are deprecated.

  Sets CasInitializer for the CollectionReader will use. This object initializes the CAS with SoFas.

  Parameters:
    `aCasInitializer` - - `CpeCollectionReaderCasInitializer`
  Throws:
    `CpeDescriptorException`

### getCasInitializer

    CpeCollectionReaderCasInitializer getCasInitializer()
                                                        throws CpeDescriptorException

  Deprecated. As of v2.0 CAS Initializers are deprecated.

  Returns CasInitializer associated with CollectionReader. This object initializes the CAS with SoFas.

  Returns:
    `CpeCollectionReaderCasInitializer`
  Throws:
    `CpeDescriptorException`

### removeCasInitializer

    void removeCasInitializer()

  Removes `CpeCollectionReaderCasInitializer` from CollectionReader

### setDescriptor

    void setDescriptor(CpeComponentDescriptor aDescriptor)

  Sets descriptor path containing configuration for the CollectionReader

  Parameters:
    `aDescriptor` - - component containing descriptor path

### getDescriptor

    CpeComponentDescriptor getDescriptor()

  Returns `CpeComponentDescriptor` containing CollectionReader descriptor path.

  Returns:
    component containing descriptor path

### getConfigurationParameterSettings

    CasProcessorConfigurationParameterSettings getConfigurationParameterSettings()

  Returns `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CollectionReader.

  Returns:
    - object containing parameter setting overrides

### setConfigurationParameterSettings

    void setConfigurationParameterSettings(CasProcessorConfigurationParameterSettings aSettings)
                                           throws CpeDescriptorException

  Sets the `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CollectionReader.

  Parameters:
    `aSettings` - object containing parameter setting overrides
  Throws:
    `CpeDescriptorException`

### setCollectionIterator

    void setCollectionIterator(CpeCollectionReaderIterator iterator)

### getCollectionIterator

    CpeCollectionReaderIterator getCollectionIterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.